## gstreamer-vaapi 1.14.5

=== meson_options.txt ===
option('with_encoders', type : 'combo', choices : ['yes', 'no', 'auto'], value : 'auto')
option('with_drm', type : 'combo', choices : ['yes', 'no', 'auto'], value : 'auto')
option('with_x11', type : 'combo', choices : ['yes', 'no', 'auto'], value : 'auto')
option('with_glx', type : 'combo', choices : ['yes', 'no', 'auto'], value : 'auto')
option('with_wayland', type : 'combo', choices : ['yes', 'no', 'auto'], value : 'auto')
option('with_egl', type : 'combo', choices : ['yes', 'no', 'auto'], value : 'auto')

## gstreamer-vaapi 0.3.4

=== debian/changelog ===
gstreamer-vaapi (0.3.4-0ubuntu1) precise; urgency=low

  * Pull from unreleased debian git.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Fri, 10 Feb 2012 14:35:09 +0200

gstreamer-vaapi (0.3.4-1) UNRELEASED; urgency=low

  * Initial release (Closes: #nnnn)

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Wed, 04 Jan 2012 13:50:56 +0200

=== debian/control ===
Source: gstreamer-vaapi
Section: libs
Priority: optional
Maintainer: Timo Aaltonen <tjaalton@ubuntu.com>
Build-Depends: debhelper (>= 8.1.3~),
 dh-autoreconf,
 libglib2.0-dev,
 libgstreamer0.10-dev (>= 0.10.35.1),
 libgstreamer-plugins-base0.10-dev (>= 0.10.35),
 libgstreamer-plugins-bad0.10-dev (>= 0.10.22),
 libva-dev (>= 1.0.9),
 libavcodec-dev (>= 0.6),
 gstreamer0.10-plugins-bad,
 libx11-dev,
 mesa-common-dev,
Build-Depends-Indep: gtk-doc-tools (>= 1.9)
Standards-Version: 3.9.3

Package: gstreamer0.10-vaapi
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends},
Suggests: gstreamer0.10-vaapi-doc
Description: VA-API plugins for GStreamer
 This package contains GStreamer plugins for VA-API support:
 - `vaapiconvert': converts from YUV pixels to VA surfaces 
 - `vaapisink': a VA-API based video sink

Package: gstreamer0.10-vaapi-doc
Architecture: all
Section: doc
Recommends: libgstreamer-vaapi0.10-dev (= ${source:Version})
Description: GStreamer VA-API documentation and manuals
 This package contains documentation for libraries and elements.

Package: libgstreamer-vaapi0.10
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GStreamer libraries from the "vaapi" set
 VA-API support libraries for GStreamer.
 .
 This package contains libraries for the "vaapi" set.

Package: libgstreamer-vaapi0.10-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends},
 libgstreamer-vaapi0.10 (= ${Source-Version}),
 libva-dev,
 libgstreamer-plugins-base0.10-dev,
Description: GStreamer development files for libraries from the "vaapi" set
 GStreamer/VA-API development files.
 .
 This package contains development files for GStreamer libraries for
 the "vaapi" set.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS
indep_conf_flags = \
	--with-html-dir=\$${prefix}/share/doc/$(gst_pkgname)

ifeq ($(shell test "`dpkg -l gtk-doc-tools | grep ^ii`" && echo binary-indep),binary-indep)
indep_conf_flags += --enable-gtk-doc
endif

# debian package version
version=$(shell dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
# upstream version
gst_version=$(shell echo $(version) | cut -d '-' -f 1)
gst_major=0
gst_minor=10
gst_abi=$(gst_major).$(gst_minor)

override_dh_auto_clean:
	rm -f docs/reference/libs/libs.types gtk-doc.make
	rm -fr docs/reference/libs/tmpl/ docs/reference/plugins/tmpl/
	dh_auto_clean

override_dh_autoreconf:
	gtkdocize || exit $?
	dh_autoreconf

override_dh_auto_configure:
	dh_auto_configure -- $(indep_conf_flags) \
		--enable-vaapisink-glx

override_dh_install:
	# purge .la files
	find $(CURDIR)/debian/tmp -name "*.la" -type f -exec rm -f "{}" \;
	# purge static libs
	find $(CURDIR)/debian/tmp -name "*.a" -type f -exec rm -f "{}" \;

	dh_install --fail-missing

override_dh_makeshlibs:
	dh_makeshlibs -V "libgstreamer-vaapi$(gst_abi) (>= $(gst_version))" -- -plibgstreamer-vaapi$(gst_abi)

override_dh_shlibdeps:
	LD_LIBRARY_PATH=debian/libgstreamer-vaapi$(gst_abi)/usr/lib/$(DEB_HOST_MULTIARCH)/:/usr/lib/$(DEB_HOST_MULTIARCH)/:$(LD_LIBRARY_PATH) \
		dh_shlibdeps

%:
	dh $@ --with autoreconf --builddirectory=build/

## gstreamer-vaapi 0.3.6

=== debian/changelog ===
gstreamer-vaapi (0.3.6-0ubuntu5) trusty; urgency=low

  * Disable building ffmpeg bindings.
  * Do not pass g_type_init() when generating docs.
  * Drop ffmpeg from the docs.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Thu, 21 Nov 2013 15:38:50 +0000

gstreamer-vaapi (0.3.6-0ubuntu4) raring; urgency=low

  * debian/patches/fix-build-with-newer-mesa.patch: Grab patch from upstream
    to fix FTBFS with newer Mesa.

 -- Logan Rosen <logan@ubuntu.com>  Wed, 24 Apr 2013 10:51:53 -0400

gstreamer-vaapi (0.3.6-0ubuntu3) quantal; urgency=low

  * No-change rebuild for new version of libgstreamer-plugins-bad0.10-0.

 -- Ilya Barygin <randomaction@ubuntu.com>  Mon, 17 Sep 2012 22:11:58 +0400

gstreamer-vaapi (0.3.6-0ubuntu2) precise; urgency=low

  * Build-depend on libgl1-mesa-dev instead of mesa-common-dev in order
    to build the GL backend.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Fri, 13 Apr 2012 00:48:30 +0300

gstreamer-vaapi (0.3.6-0ubuntu1) precise; urgency=low

  * Merge from debian git.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Thu, 12 Apr 2012 14:18:57 +0300

gstreamer-vaapi (0.3.6-1) UNRELEASED; urgency=low

  * Initial release (Closes: #nnnn)

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Wed, 04 Jan 2012 13:50:56 +0200

gstreamer-vaapi (0.3.4-0ubuntu2) precise; urgency=low

  * control, rules: Move gtk-doc-tools to build-depends (FTBFS).

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Thu, 23 Feb 2012 18:07:26 +0200

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,10 @@
  libgstreamer-plugins-base0.10-dev (>= 0.10.35),
  libgstreamer-plugins-bad0.10-dev (>= 0.10.22),
  libva-dev (>= 1.0.9),
- libavcodec-dev (>= 0.6),
  gstreamer0.10-plugins-bad,
  libx11-dev,
- mesa-common-dev,
-Build-Depends-Indep: gtk-doc-tools (>= 1.9)
+ libgl1-mesa-dev,
+ gtk-doc-tools (>= 1.9),
 Standards-Version: 3.9.3
 
 Package: gstreamer0.10-vaapi

=== debian/rules ===
--- 
+++ 
@@ -5,12 +5,6 @@
 
 # This has to be exported to make some magic below work.
 export DH_OPTIONS
-indep_conf_flags = \
-	--with-html-dir=\$${prefix}/share/doc/$(gst_pkgname)
-
-ifeq ($(shell test "`dpkg -l gtk-doc-tools | grep ^ii`" && echo binary-indep),binary-indep)
-indep_conf_flags += --enable-gtk-doc
-endif
 
 # debian package version
 version=$(shell dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
@@ -30,7 +24,10 @@
 	dh_autoreconf
 
 override_dh_auto_configure:
-	dh_auto_configure -- $(indep_conf_flags) \
+	dh_auto_configure -- \
+		--with-html-dir=\$${prefix}/share/doc/$(gst_pkgname) \
+		--enable-gtk-doc \
+		--disable-ffmpeg \
 		--enable-vaapisink-glx
 
 override_dh_install:

## gstreamer-vaapi 0.5.7

=== debian/changelog ===
gstreamer-vaapi (0.5.7-0ubuntu4) trusty; urgency=medium

  * Configure with --enable-gtk-doc unconditionally and move
    gtk-doc-tools again to build-depends.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Fri, 28 Feb 2014 00:05:59 +0200

gstreamer-vaapi (0.5.7-0ubuntu3) trusty; urgency=medium

  * control: Move gtk-doc-tools back to build-depends-indep.
  * rules: Drop override_dh_autoreconf, and don't clean files that
    are generated only with a git snapshot tarball.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Thu, 27 Feb 2014 15:16:10 +0200

gstreamer-vaapi (0.5.7-0ubuntu2) trusty; urgency=medium

  * control: Move gtk-doc-tools to build-depends.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Thu, 20 Feb 2014 20:15:00 +0200

gstreamer-vaapi (0.5.7-0ubuntu1) trusty; urgency=medium

  * Sync from Debian NEW.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Thu, 20 Feb 2014 19:38:29 +0200

gstreamer-vaapi (0.5.7-1) unstable; urgency=low

  * Initial release. (Closes: #736217)

 -- Vincent Cheng <vcheng@debian.org>  Wed, 22 Jan 2014 01:19:22 -0800

=== debian/control ===
Source: gstreamer-vaapi
Section: libs
Priority: optional
Maintainer: Timo Aaltonen <tjaalton@ubuntu.com>
Uploaders: Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>, Vincent Cheng <vcheng@debian.org>
Build-Depends: debhelper (>= 9),
 dh-autoreconf,
 libglib2.0-dev,
 libgstreamer1.0-dev (>= 1.0.0),
 libgstreamer-plugins-base1.0-dev (>= 1.0.0),
 libgstreamer-plugins-bad1.0-dev (>= 1.0.0),
 libva-dev (>= 1.0.9),
 libavcodec-dev (>= 0.6),
# gstreamer1.0-plugins-bad,
 libx11-dev,
 libxrandr-dev,
 libgl1-mesa-dev,
 mesa-common-dev,
 libdrm-dev,
 libudev-dev,
 libva-drm1,
 gtk-doc-tools (>= 1.9)
Standards-Version: 3.9.5
Homepage: http://gitorious.org/vaapi/gstreamer-vaapi
Vcs-Git: git://anonscm.debian.org/collab-maint/gstreamer-vaapi.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/gstreamer-vaapi.git

Package: gstreamer1.0-vaapi
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends},
Suggests: gstreamer1.0-vaapi-doc
Description: VA-API plugins for GStreamer
 Gstreamer-vaapi is a collection of GStreamer plugins and helper libraries that
 allow hardware accelerated video decoding, encoding and processing through
 VA-API.
 .
 This package contains GStreamer plugins for VA-API support:
 - `vaapiconvert': converts from YUV pixels to VA surfaces 
 - `vaapisink': a VA-API based video sink

Package: gstreamer1.0-vaapi-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Recommends: libgstreamer-vaapi1.0-dev (= ${source:Version})
Description: GStreamer VA-API documentation and manuals
 Gstreamer-vaapi is a collection of GStreamer plugins and helper libraries that
 allow hardware accelerated video decoding, encoding and processing through
 VA-API.
 .
 This package contains documentation for libraries and elements.

Package: libgstreamer-vaapi1.0-0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GStreamer libraries from the "vaapi" set
 Gstreamer-vaapi is a collection of GStreamer plugins and helper libraries that
 allow hardware accelerated video decoding, encoding and processing through
 VA-API.
 .
 This package contains libraries for the "vaapi" set.

Package: libgstreamer-vaapi1.0-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends},
 libgstreamer-vaapi1.0-0 (= ${binary:Version}),
 libva-dev,
 libgstreamer-plugins-base1.0-dev,
Description: GStreamer development files for libraries from the "vaapi" set
 Gstreamer-vaapi is a collection of GStreamer plugins and helper libraries that
 allow hardware accelerated video decoding, encoding and processing through
 VA-API.
 .
 This package contains development files for GStreamer libraries for
 the "vaapi" set.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS
indep_conf_flags = \
	--with-html-dir=\$${prefix}/share/doc/$(gst_pkgname) \
	--enable-gtk-doc

# debian package version
version=$(shell dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
# upstream version
gst_version=$(shell echo $(version) | cut -d '-' -f 1)
gst_major=1
gst_minor=0
gst_abi=$(gst_major).$(gst_minor)

gst_deb_abi=$(gst_abi)-0

override_dh_auto_clean:
	# used only when tarball is from a git snapshot
	#rm -f docs/reference/libs/libs.types gtk-doc.make
	#rm -fr docs/reference/libs/tmpl/ docs/reference/plugins/tmpl/

	dh_auto_clean

# used only when tarball is from a git snapshot
#override_dh_autoreconf:
#	mkdir -p m4/
#	gtkdocize || exit $?
#	dh_autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --disable-silent-rules $(indep_conf_flags)

override_dh_install:
	# purge .la files
	find $(CURDIR)/debian/tmp -name "*.la" -type f -exec rm -f "{}" \;
	# purge static libs
	find $(CURDIR)/debian/tmp -name "*.a" -type f -exec rm -f "{}" \;

	dh_install --fail-missing

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_makeshlibs:
	dh_makeshlibs -V "libgstreamer-vaapi$(gst_deb_abi) (>= $(gst_version))" -- -plibgstreamer-vaapi$(gst_deb_abi)

override_dh_shlibdeps:
	LD_LIBRARY_PATH=debian/libgstreamer-vaapi$(gst_deb_abi)/usr/lib/$(DEB_HOST_MULTIARCH)/:/usr/lib/$(DEB_HOST_MULTIARCH)/:$(LD_LIBRARY_PATH) \
		dh_shlibdeps

%:
	dh $@ --with autoreconf --builddirectory=build/

=== debian/watch ===
version=3
http://www.freedesktop.org/software/vaapi/releases/gstreamer-vaapi/ gstreamer-vaapi-(.*)\.tar\.bz2

## gstreamer-vaapi 0.5.9

=== debian/changelog ===
gstreamer-vaapi (0.5.9-2) unstable; urgency=medium

  * Remove spurious build-deps: libva-drm1, libavcodec-dev. (Closes: #757283)
  * Drop Build-Depends-Indep and build docs unconditionally on all archs.

 -- Vincent Cheng <vcheng@debian.org>  Wed, 06 Aug 2014 23:56:00 -0700

gstreamer-vaapi (0.5.9-1) unstable; urgency=medium

  * New upstream release.
  * Add new build-dep: libwayland-dev.

 -- Vincent Cheng <vcheng@debian.org>  Mon, 04 Aug 2014 15:52:28 -0700

gstreamer-vaapi (0.5.8-1) unstable; urgency=medium

  * Initial release. (Closes: #736217)

 -- Vincent Cheng <vcheng@debian.org>  Tue, 03 Jun 2014 01:16:23 -0700

=== debian/control ===
Source: gstreamer-vaapi
Section: libs
Priority: optional
Maintainer: Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>
Uploaders:
 Timo Aaltonen <tjaalton@ubuntu.com>,
 Vincent Cheng <vcheng@debian.org>
Build-Depends:
 debhelper (>= 9),
 dh-autoreconf,
 gtk-doc-tools (>= 1.9),
 libdrm-dev,
 libgl1-mesa-dev,
 libglib2.0-dev,
 libgstreamer-plugins-bad1.0-dev (>= 1.0.0),
 libgstreamer-plugins-base1.0-dev (>= 1.0.0),
 libgstreamer1.0-dev (>= 1.0.0),
 libudev-dev,
 libva-dev (>= 1.0.9),
 libwayland-dev,
 libx11-dev,
 libxrandr-dev,
 mesa-common-dev
Standards-Version: 3.9.5
Homepage: http://gitorious.org/vaapi/gstreamer-vaapi
Vcs-Git: git://anonscm.debian.org/pkg-gstreamer/gstreamer-vaapi.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-gstreamer/gstreamer-vaapi.git

Package: gstreamer1.0-vaapi
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: gstreamer1.0-vaapi-doc
Description: VA-API plugins for GStreamer
 Gstreamer-vaapi is a collection of GStreamer plugins and helper libraries that
 allow hardware accelerated video decoding, encoding and processing through
 VA-API.
 .
 This package contains GStreamer plugins for VA-API support:
 - `vaapiconvert': converts from YUV pixels to VA surfaces
 - `vaapisink': a VA-API based video sink

Package: gstreamer1.0-vaapi-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Recommends: libgstreamer-vaapi1.0-dev (= ${source:Version})
Description: GStreamer VA-API documentation and manuals
 Gstreamer-vaapi is a collection of GStreamer plugins and helper libraries that
 allow hardware accelerated video decoding, encoding and processing through
 VA-API.
 .
 This package contains documentation for libraries and elements.

Package: libgstreamer-vaapi1.0-0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: GStreamer libraries from the "vaapi" set
 Gstreamer-vaapi is a collection of GStreamer plugins and helper libraries that
 allow hardware accelerated video decoding, encoding and processing through
 VA-API.
 .
 This package contains libraries for the "vaapi" set.

Package: libgstreamer-vaapi1.0-dev
Architecture: any
Section: libdevel
Depends:
 libgstreamer-plugins-base1.0-dev,
 libgstreamer-vaapi1.0-0 (= ${binary:Version}),
 libva-dev,
 ${misc:Depends},
 ${shlibs:Depends}
Description: GStreamer development files for libraries from the "vaapi" set
 Gstreamer-vaapi is a collection of GStreamer plugins and helper libraries that
 allow hardware accelerated video decoding, encoding and processing through
 VA-API.
 .
 This package contains development files for GStreamer libraries for
 the "vaapi" set.

=== debian/rules ===
--- 
+++ 
@@ -5,9 +5,6 @@
 
 # This has to be exported to make some magic below work.
 export DH_OPTIONS
-indep_conf_flags = \
-	--with-html-dir=\$${prefix}/share/doc/$(gst_pkgname) \
-	--enable-gtk-doc
 
 # debian package version
 version=$(shell dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
@@ -33,7 +30,8 @@
 #	dh_autoreconf
 
 override_dh_auto_configure:
-	dh_auto_configure -- --disable-silent-rules $(indep_conf_flags)
+	dh_auto_configure -- --disable-silent-rules --disable-builtin-libvpx \
+	--enable-gtk-doc --with-html-dir=\$${prefix}/share/doc/$(gst_pkgname)
 
 override_dh_install:
 	# purge .la files

## gstreamer-vaapi 0.5.10

=== debian/changelog ===
gstreamer-vaapi (0.5.10-1) unstable; urgency=medium

  * New upstream release.
  * Add build-depends on yasm.
  * Update Standards version to 3.9.6, no changes required.

 -- Vincent Cheng <vcheng@debian.org>  Wed, 29 Apr 2015 17:44:53 -0700

=== debian/control ===
--- 
+++ 
@@ -20,8 +20,9 @@
  libwayland-dev,
  libx11-dev,
  libxrandr-dev,
- mesa-common-dev
-Standards-Version: 3.9.5
+ mesa-common-dev,
+ yasm
+Standards-Version: 3.9.6
 Homepage: http://gitorious.org/vaapi/gstreamer-vaapi
 Vcs-Git: git://anonscm.debian.org/pkg-gstreamer/gstreamer-vaapi.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-gstreamer/gstreamer-vaapi.git

=== debian/rules ===
--- 
+++ 
@@ -30,8 +30,8 @@
 #	dh_autoreconf
 
 override_dh_auto_configure:
-	dh_auto_configure -- --disable-silent-rules --disable-builtin-libvpx \
-	--enable-gtk-doc --with-html-dir=\$${prefix}/share/doc/$(gst_pkgname)
+	dh_auto_configure -- --disable-silent-rules --enable-gtk-doc \
+	--with-html-dir=\$${prefix}/share/doc/$(gst_pkgname)
 
 override_dh_install:
 	# purge .la files

## gstreamer-vaapi 0.6.0

=== debian/changelog ===
gstreamer-vaapi (0.6.0-1) unstable; urgency=medium

  * New upstream release.
    - Update build-dep on gst 1.x to (>= 1.3).
  * Update debian/copyright.
  * Update homepage.
  * Update Vcs-Browser to point to cgit interface (instead of gitweb).

 -- Vincent Cheng <vcheng@debian.org>  Thu, 16 Jul 2015 00:16:32 -0700

=== debian/control ===
--- 
+++ 
@@ -12,9 +12,9 @@
  libdrm-dev,
  libgl1-mesa-dev,
  libglib2.0-dev,
- libgstreamer-plugins-bad1.0-dev (>= 1.0.0),
- libgstreamer-plugins-base1.0-dev (>= 1.0.0),
- libgstreamer1.0-dev (>= 1.0.0),
+ libgstreamer-plugins-bad1.0-dev (>= 1.3.0),
+ libgstreamer-plugins-base1.0-dev (>= 1.3.0),
+ libgstreamer1.0-dev (>= 1.2.90),
  libudev-dev,
  libva-dev (>= 1.0.9),
  libwayland-dev,
@@ -23,9 +23,9 @@
  mesa-common-dev,
  yasm
 Standards-Version: 3.9.6
-Homepage: http://gitorious.org/vaapi/gstreamer-vaapi
+Homepage: https://github.com/01org/gstreamer-vaapi/
 Vcs-Git: git://anonscm.debian.org/pkg-gstreamer/gstreamer-vaapi.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-gstreamer/gstreamer-vaapi.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-gstreamer/gstreamer-vaapi.git
 
 Package: gstreamer1.0-vaapi
 Architecture: any

## gstreamer-vaapi 0.6.1

=== debian/changelog ===
gstreamer-vaapi (0.6.1-2build1) xenial; urgency=medium

  * No-change rebuild against new gst-bad

 -- Iain Lane <iain@orangesquash.org.uk>  Thu, 12 Nov 2015 16:56:58 +0000

gstreamer-vaapi (0.6.1-2) unstable; urgency=medium

  * Add build-dep on libegl1-mesa-dev to fix FTBFS.

 -- Vincent Cheng <vcheng@debian.org>  Thu, 01 Oct 2015 03:46:01 -0700

gstreamer-vaapi (0.6.1-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Cheng <vcheng@debian.org>  Thu, 01 Oct 2015 00:32:44 -0700

## gstreamer-vaapi 0.7.0

=== debian/changelog ===
gstreamer-vaapi (0.7.0-1build2) xenial; urgency=medium

  * Rebuild against gst-plugins-bad 1.7.2

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 23 Feb 2016 09:10:39 +0000

gstreamer-vaapi (0.7.0-1build1) xenial; urgency=medium

  * Rebuild against gst-plugins-bad 1.7.1

 -- Iain Lane <iain@orangesquash.org.uk>  Fri, 15 Jan 2016 09:57:52 +0000

gstreamer-vaapi (0.7.0-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Cheng <vcheng@debian.org>  Wed, 23 Dec 2015 23:01:04 -0800

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
  dh-autoreconf,
  gtk-doc-tools (>= 1.9),
  libdrm-dev,
+ libegl1-mesa-dev,
  libgl1-mesa-dev,
  libglib2.0-dev,
  libgstreamer-plugins-bad1.0-dev (>= 1.3.0),

=== debian/watch ===
version=3
http://www.freedesktop.org/software/vaapi/releases/gstreamer-vaapi/ gstreamer-vaapi-(.*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## gstreamer-vaapi 1.8.0

=== debian/changelog ===
gstreamer-vaapi (1.8.0-1) unstable; urgency=medium

  * New upstream release.
  * watch: Update the url.
  * control: Bump libgstreamer build-deps.
  * control: Add libgles2-mesa-dev to build-deps.
  * Remove library and -dev packages as upstream doesn't build them anymore.
  * control: Bump policy to 3.9.7, no changes.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 07 Apr 2016 12:47:58 +0300

=== debian/control ===
Source: gstreamer-vaapi
Section: libs
Priority: optional
Maintainer: Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>
Uploaders:
 Timo Aaltonen <tjaalton@ubuntu.com>,
 Vincent Cheng <vcheng@debian.org>
Build-Depends:
 debhelper (>= 9),
 dh-autoreconf,
 gtk-doc-tools (>= 1.9),
 libdrm-dev,
 libegl1-mesa-dev,
 libgl1-mesa-dev,
 libgles2-mesa-dev,
 libglib2.0-dev,
 libgstreamer-plugins-bad1.0-dev (>= 1.7.91),
 libgstreamer-plugins-base1.0-dev (>= 1.7.91),
 libgstreamer1.0-dev (>= 1.7.91),
 libudev-dev,
 libva-dev (>= 1.0.9),
 libwayland-dev,
 libx11-dev,
 libxrandr-dev,
 mesa-common-dev,
 yasm
Standards-Version: 3.9.7
Homepage: https://github.com/01org/gstreamer-vaapi/
Vcs-Git: git://anonscm.debian.org/pkg-gstreamer/gstreamer-vaapi.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-gstreamer/gstreamer-vaapi.git

Package: gstreamer1.0-vaapi
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: gstreamer1.0-vaapi-doc
Description: VA-API plugins for GStreamer
 Gstreamer-vaapi is a collection of GStreamer plugins and helper libraries that
 allow hardware accelerated video decoding, encoding and processing through
 VA-API.
 .
 This package contains GStreamer plugins for VA-API support:
 - `vaapiconvert': converts from YUV pixels to VA surfaces
 - `vaapisink': a VA-API based video sink

Package: gstreamer1.0-vaapi-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Recommends: libgstreamer-vaapi1.0-dev (= ${source:Version})
Description: GStreamer VA-API documentation and manuals
 Gstreamer-vaapi is a collection of GStreamer plugins and helper libraries that
 allow hardware accelerated video decoding, encoding and processing through
 VA-API.
 .
 This package contains documentation for libraries and elements.

=== debian/rules ===
--- 
+++ 
@@ -30,8 +30,8 @@
 #	dh_autoreconf
 
 override_dh_auto_configure:
-	dh_auto_configure -- --disable-silent-rules --enable-gtk-doc \
-	--with-html-dir=\$${prefix}/share/doc/$(gst_pkgname)
+	dh_auto_configure -- --disable-silent-rules --disable-builtin-libvpx \
+	--enable-gtk-doc --with-html-dir=\$${prefix}/share/doc/$(gst_pkgname)
 
 override_dh_install:
 	# purge .la files
@@ -44,12 +44,5 @@
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS
 
-override_dh_makeshlibs:
-	dh_makeshlibs -V "libgstreamer-vaapi$(gst_deb_abi) (>= $(gst_version))" -- -plibgstreamer-vaapi$(gst_deb_abi)
-
-override_dh_shlibdeps:
-	LD_LIBRARY_PATH=debian/libgstreamer-vaapi$(gst_deb_abi)/usr/lib/$(DEB_HOST_MULTIARCH)/:/usr/lib/$(DEB_HOST_MULTIARCH)/:$(LD_LIBRARY_PATH) \
-		dh_shlibdeps
-
 %:
 	dh $@ --with autoreconf --builddirectory=build/

=== debian/watch ===
version=3
https://gstreamer.freedesktop.org/src/gstreamer-vaapi/ gstreamer-vaapi-(.*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## gstreamer-vaapi 1.8.1

=== debian/changelog ===
gstreamer-vaapi (1.8.1-1~ubuntu1) xenial; urgency=medium

  * No-change backport from Yakkety to 16.04 (LP: #1575152)

 -- Iain Lane <iain.lane@canonical.com>  Wed, 27 Apr 2016 15:46:04 +0100

gstreamer-vaapi (1.8.1-1build1) yakkety; urgency=medium

  * Rebuild against gst-plugins-bad 1.8.1

 -- Iain Lane <iain@orangesquash.org.uk>  Wed, 27 Apr 2016 09:00:51 +0100

gstreamer-vaapi (1.8.1-1) unstable; urgency=medium

  * New upstream release.
  * control: Bump policy to 3.9.8, no changes.

 -- Vincent Cheng <vcheng@debian.org>  Mon, 25 Apr 2016 19:58:54 -0700

## gstreamer-vaapi 1.8.2

=== debian/changelog ===
gstreamer-vaapi (1.8.2-1~ubuntu2) xenial; urgency=medium

  * Rebuild against gstreamer 1.8.2 (LP: #1594407)

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 28 Jun 2016 09:12:21 +0100

gstreamer-vaapi (1.8.2-1~ubuntu1) xenial; urgency=medium

  * No-change backport to 16.04 (LP: #1594407)

 -- Iain Lane <iain.lane@canonical.com>  Mon, 20 Jun 2016 18:11:32 +0100

gstreamer-vaapi (1.8.2-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Cheng <vcheng@debian.org>  Thu, 09 Jun 2016 21:20:17 -0700

## gstreamer-vaapi 1.8.3

=== debian/changelog ===
gstreamer-vaapi (1.8.3-1~ubuntu0.1) xenial; urgency=medium

  * No-change backport to xenial (LP: #1619600)

 -- Iain Lane <iain.lane@canonical.com>  Tue, 22 Nov 2016 09:40:36 +0000

gstreamer-vaapi (1.8.3-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Cheng <vcheng@debian.org>  Fri, 02 Sep 2016 00:10:19 -0700

=== debian/control ===
--- 
+++ 
@@ -24,10 +24,10 @@
  libxrandr-dev,
  mesa-common-dev,
  yasm
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: https://github.com/01org/gstreamer-vaapi/
-Vcs-Git: git://anonscm.debian.org/pkg-gstreamer/gstreamer-vaapi.git
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-gstreamer/gstreamer-vaapi.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-gstreamer/gstreamer-vaapi.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-gstreamer/gstreamer-vaapi.git
 
 Package: gstreamer1.0-vaapi
 Architecture: any
@@ -48,7 +48,6 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}
-Recommends: libgstreamer-vaapi1.0-dev (= ${source:Version})
 Description: GStreamer VA-API documentation and manuals
  Gstreamer-vaapi is a collection of GStreamer plugins and helper libraries that
  allow hardware accelerated video decoding, encoding and processing through

## gstreamer-vaapi 1.10.0

=== debian/changelog ===
gstreamer-vaapi (1.10.0-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Cheng <vcheng@debian.org>  Thu, 10 Nov 2016 23:04:45 -0800

## gstreamer-vaapi 1.10.1

=== debian/changelog ===
gstreamer-vaapi (1.10.1-1) unstable; urgency=medium

  * Add gbp.conf explicitly enabling pristine-tar
  * New upstream version 1.10.1
  * Don't expose GL texture if not supported. Fixes gst-vaapi usage on wayland
    with gl texture upload capable sinks (bgo#772838)

 -- Sjoerd Simons <sjoerd@debian.org>  Fri, 18 Nov 2016 21:53:50 +0100

## gstreamer-vaapi 1.10.2

=== debian/changelog ===
gstreamer-vaapi (1.10.2-1build1) zesty; urgency=medium

  * No-change rebuild against libx265-102.

 -- Mattia Rizzolo <mapreri@ubuntu.com>  Wed, 01 Feb 2017 09:40:09 +0100

gstreamer-vaapi (1.10.2-1) unstable; urgency=medium

  * New upstream release.
    - Remove all patches; applied upstream.

 -- Vincent Cheng <vcheng@debian.org>  Sat, 03 Dec 2016 16:59:25 -0800

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Maintainer: Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>
 Uploaders:
  Timo Aaltonen <tjaalton@ubuntu.com>,
- Vincent Cheng <vcheng@debian.org>
+ Vincent Cheng <vcheng@debian.org>,
+ Sjoerd Simons <sjoerd@debian.org>
 Build-Depends:
  debhelper (>= 9),
  dh-autoreconf,

## gstreamer-vaapi 1.10.4

=== debian/changelog ===
gstreamer-vaapi (1.10.4-1) unstable; urgency=medium

  * New upstream bugfix release
  * debian/control:
    + Add myself to Uploaders.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 23 Feb 2017 16:40:04 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 Uploaders:
  Timo Aaltonen <tjaalton@ubuntu.com>,
  Vincent Cheng <vcheng@debian.org>,
- Sjoerd Simons <sjoerd@debian.org>
+ Sjoerd Simons <sjoerd@debian.org>,
+ Sebastian Dröge <slomo@debian.org>
 Build-Depends:
  debhelper (>= 9),
  dh-autoreconf,

## gstreamer-vaapi 1.11.91

=== debian/changelog ===
gstreamer-vaapi (1.11.91-1) experimental; urgency=medium

  * New upstream release canditate

 -- Sebastian Dröge <slomo@debian.org>  Thu, 27 Apr 2017 17:16:40 +0300

gstreamer-vaapi (1.11.90-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 07 Apr 2017 16:27:42 +0300

gstreamer-vaapi (1.11.2-1) experimental; urgency=medium

  * New development release

 -- Sebastian Dröge <slomo@debian.org>  Fri, 24 Feb 2017 15:05:52 +0200

=== debian/control ===
--- 
+++ 
@@ -16,9 +16,9 @@
  libgl1-mesa-dev,
  libgles2-mesa-dev,
  libglib2.0-dev,
- libgstreamer-plugins-bad1.0-dev (>= 1.7.91),
- libgstreamer-plugins-base1.0-dev (>= 1.7.91),
- libgstreamer1.0-dev (>= 1.7.91),
+ libgstreamer-plugins-bad1.0-dev (>= 1.11.91),
+ libgstreamer-plugins-base1.0-dev (>= 1.11.91),
+ libgstreamer1.0-dev (>= 1.11.91),
  libudev-dev,
  libva-dev (>= 1.0.9),
  libwayland-dev,

## gstreamer-vaapi 1.12.0

=== debian/changelog ===
gstreamer-vaapi (1.12.0-1) experimental; urgency=medium

  * New upstream stable release

 -- Sebastian Dröge <slomo@debian.org>  Thu, 04 May 2017 15:34:58 +0300

## gstreamer-vaapi 1.12.1

=== debian/changelog ===
gstreamer-vaapi (1.12.1-1build1) artful; urgency=medium

  * No-change rebuild against new gst-plugins-bad

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 02 Jul 2017 08:42:53 -0400

gstreamer-vaapi (1.12.1-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Sebastian Dröge <slomo@debian.org>  Tue, 20 Jun 2017 12:02:18 +0300

## gstreamer-vaapi 1.12.2

=== debian/changelog ===
gstreamer-vaapi (1.12.2-1ubuntu3) artful; urgency=medium

  * Rebuild against new gst-bad.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 25 Sep 2017 08:30:16 +0200

gstreamer-vaapi (1.12.2-1ubuntu2) artful; urgency=medium

  * Add gstreamer-vaapi-EGL-GLTextureUpload-2f368a4d.patch
    - Fixes corruption on Wayland (LP: #1701463)
    - Improves performance (eliminating software buffer copies in clutter-gst)
    - Note: Intel users will also need fix: i965-va-driver 1.8.3-1ubuntu1,
      or else may just see a black image.

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Fri, 04 Aug 2017 15:12:58 +0800

gstreamer-vaapi (1.12.2-1build1) artful; urgency=medium

  * No-change rebuild against new gst-bad.

 -- Iain Lane <iain@orangesquash.org.uk>  Thu, 20 Jul 2017 16:24:31 +0100

gstreamer-vaapi (1.12.2-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Sebastian Dröge <slomo@debian.org>  Fri, 14 Jul 2017 13:48:48 +0300

## gstreamer-vaapi 1.12.3

=== debian/changelog ===
gstreamer-vaapi (1.12.3-2ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Add gstreamer-vaapi-EGL-GLTextureUpload-2f368a4d.patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 27 Oct 2017 08:25:35 +0200

gstreamer-vaapi (1.12.3-2) unstable; urgency=medium

  * debian/patches/0001-build-blacklist-only-libva-0.99.0.patch,
    debian/patches/0002-libs-decoder-h264-libva-1.0-deprecated-baseline.patch,
    debian/patches/0003-libs-utils-libva-1.0-changed-the-logging.patch,
    debian/patches/0004-libs-guard-deprecated-symbols.patch,
    debian/patches/0005-libs-encoder-h264-handle-deprecated-enum.patch:
    + Fix build against libva 2.0 (Closes: #879059).

 -- Sebastian Dröge <slomo@debian.org>  Thu, 19 Oct 2017 15:31:52 +0200

gstreamer-vaapi (1.12.3-1ubuntu1) artful; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Add gstreamer-vaapi-EGL-GLTextureUpload-2f368a4d.patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 25 Sep 2017 08:40:08 +0200

gstreamer-vaapi (1.12.3-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Sebastian Dröge <slomo@debian.org>  Mon, 18 Sep 2017 22:25:53 +0300

=== debian/control ===
--- 
+++ 
@@ -16,9 +16,9 @@
  libgl1-mesa-dev,
  libgles2-mesa-dev,
  libglib2.0-dev,
- libgstreamer-plugins-bad1.0-dev (>= 1.11.91),
- libgstreamer-plugins-base1.0-dev (>= 1.11.91),
- libgstreamer1.0-dev (>= 1.11.91),
+ libgstreamer-plugins-bad1.0-dev (>= 1.12.0),
+ libgstreamer-plugins-base1.0-dev (>= 1.12.0),
+ libgstreamer1.0-dev (>= 1.12.0),
  libudev-dev,
  libva-dev (>= 1.0.9),
  libwayland-dev,

## gstreamer-vaapi 1.12.4

=== debian/changelog ===
gstreamer-vaapi (1.12.4-1ubuntu2) bionic; urgency=medium

  * No-change rebuild against libgstreamer-plugins-bad1.0-0 1.13

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 04 Mar 2018 02:20:23 +0100

gstreamer-vaapi (1.12.4-1ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Add gstreamer-vaapi-EGL-GLTextureUpload-2f368a4d.patch

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 12 Dec 2017 10:06:27 +0000

gstreamer-vaapi (1.12.4-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Sebastian Dröge <slomo@debian.org>  Thu, 07 Dec 2017 19:56:32 +0200

gstreamer-vaapi (1.12.3-2ubuntu2) bionic; urgency=medium

  * No-change rebuild against latest libva

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 04 Nov 2017 22:04:33 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: gstreamer-vaapi
 Section: libs
 Priority: optional
-Maintainer: Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>
 Uploaders:
  Timo Aaltonen <tjaalton@ubuntu.com>,
  Vincent Cheng <vcheng@debian.org>,

## gstreamer-vaapi 1.13.1

=== debian/changelog ===
gstreamer-vaapi (1.13.1-1ubuntu1) bionic; urgency=medium

  * debian/patches/fix-32-bit-compat.patch: Fix 32-bit compatibility
    with libva.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 04 Mar 2018 05:10:34 +0100

gstreamer-vaapi (1.13.1-1) experimental; urgency=medium

  * New upstream development release.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 26 Feb 2018 21:26:08 +0200

=== debian/control ===
--- 
+++ 
@@ -17,9 +17,9 @@
  libgl1-mesa-dev,
  libgles2-mesa-dev,
  libglib2.0-dev,
- libgstreamer-plugins-bad1.0-dev (>= 1.12.0),
- libgstreamer-plugins-base1.0-dev (>= 1.12.0),
- libgstreamer1.0-dev (>= 1.12.0),
+ libgstreamer-plugins-bad1.0-dev (>= 1.13.1),
+ libgstreamer-plugins-base1.0-dev (>= 1.13.1),
+ libgstreamer1.0-dev (>= 1.13.1),
  libudev-dev,
  libva-dev (>= 1.0.9),
  libwayland-dev,

## gstreamer-vaapi 1.13.91

=== debian/changelog ===
gstreamer-vaapi (1.13.91-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 14 Mar 2018 11:25:18 +0200

gstreamer-vaapi (1.13.90-1) experimental; urgency=medium

  * New upstream release candidate (Closes: #892014).

 -- Sebastian Dröge <slomo@debian.org>  Mon, 05 Mar 2018 11:25:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: gstreamer-vaapi
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>
+Maintainer: Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>
 Uploaders:
  Timo Aaltonen <tjaalton@ubuntu.com>,
  Vincent Cheng <vcheng@debian.org>,
@@ -17,9 +16,9 @@
  libgl1-mesa-dev,
  libgles2-mesa-dev,
  libglib2.0-dev,
- libgstreamer-plugins-bad1.0-dev (>= 1.13.1),
- libgstreamer-plugins-base1.0-dev (>= 1.13.1),
- libgstreamer1.0-dev (>= 1.13.1),
+ libgstreamer-plugins-bad1.0-dev (>= 1.13.91),
+ libgstreamer-plugins-base1.0-dev (>= 1.13.91),
+ libgstreamer1.0-dev (>= 1.13.91),
  libudev-dev,
  libva-dev (>= 1.0.9),
  libwayland-dev,

## gstreamer-vaapi 1.14.0

=== debian/changelog ===
gstreamer-vaapi (1.14.0-1) unstable; urgency=medium

  * New upstream stable release.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 20 Mar 2018 10:29:14 +0200

=== debian/control ===
--- 
+++ 
@@ -16,9 +16,9 @@
  libgl1-mesa-dev,
  libgles2-mesa-dev,
  libglib2.0-dev,
- libgstreamer-plugins-bad1.0-dev (>= 1.13.91),
- libgstreamer-plugins-base1.0-dev (>= 1.13.91),
- libgstreamer1.0-dev (>= 1.13.91),
+ libgstreamer-plugins-bad1.0-dev (>= 1.14.0),
+ libgstreamer-plugins-base1.0-dev (>= 1.14.0),
+ libgstreamer1.0-dev (>= 1.14.0),
  libudev-dev,
  libva-dev (>= 1.0.9),
  libwayland-dev,

## gstreamer-vaapi 1.14.1

=== debian/changelog ===
gstreamer-vaapi (1.14.1-1~ubuntu18.04.1) bionic; urgency=medium

  * No-change backport to bionic (LP: #1772898)

 -- Iain Lane <iain@orangesquash.org.uk>  Wed, 23 May 2018 13:56:20 +0100

gstreamer-vaapi (1.14.1-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Sebastian Dröge <slomo@debian.org>  Fri, 18 May 2018 11:19:38 +0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: gstreamer-vaapi
 Section: libs
 Priority: optional
-Maintainer: Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>
+Maintainer: Maintainers of GStreamer packages <gstreamer-vaapi@packages.debian.org>
 Uploaders:
  Timo Aaltonen <tjaalton@ubuntu.com>,
  Vincent Cheng <vcheng@debian.org>,
@@ -16,9 +16,9 @@
  libgl1-mesa-dev,
  libgles2-mesa-dev,
  libglib2.0-dev,
- libgstreamer-plugins-bad1.0-dev (>= 1.14.0),
- libgstreamer-plugins-base1.0-dev (>= 1.14.0),
- libgstreamer1.0-dev (>= 1.14.0),
+ libgstreamer-plugins-bad1.0-dev (>= 1.14.1),
+ libgstreamer-plugins-base1.0-dev (>= 1.14.1),
+ libgstreamer1.0-dev (>= 1.14.1),
  libudev-dev,
  libva-dev (>= 1.0.9),
  libwayland-dev,
@@ -27,9 +27,9 @@
  mesa-common-dev,
  yasm
 Standards-Version: 3.9.8
-Homepage: https://github.com/01org/gstreamer-vaapi/
-Vcs-Git: https://anonscm.debian.org/git/pkg-gstreamer/gstreamer-vaapi.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-gstreamer/gstreamer-vaapi.git
+Vcs-Git: https://salsa.debian.org/gstreamer-team/gstreamer-vaapi.git
+Vcs-Browser: https://salsa.debian.org/gstreamer-team/gstreamer-vaapi/
+Homepage: https://gstreamer.freedesktop.org
 
 Package: gstreamer1.0-vaapi
 Architecture: any

## gstreamer-vaapi 1.14.2

=== debian/changelog ===
gstreamer-vaapi (1.14.2-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Sebastian Dröge <slomo@debian.org>  Mon, 23 Jul 2018 12:38:04 +0300

=== debian/control ===
--- 
+++ 
@@ -16,9 +16,9 @@
  libgl1-mesa-dev,
  libgles2-mesa-dev,
  libglib2.0-dev,
- libgstreamer-plugins-bad1.0-dev (>= 1.14.1),
- libgstreamer-plugins-base1.0-dev (>= 1.14.1),
- libgstreamer1.0-dev (>= 1.14.1),
+ libgstreamer-plugins-bad1.0-dev (>= 1.14.2),
+ libgstreamer-plugins-base1.0-dev (>= 1.14.2),
+ libgstreamer1.0-dev (>= 1.14.2),
  libudev-dev,
  libva-dev (>= 1.0.9),
  libwayland-dev,

## gstreamer-vaapi 1.14.4

=== debian/changelog ===
gstreamer-vaapi (1.14.4-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Sebastian Dröge <slomo@debian.org>  Wed, 03 Oct 2018 14:11:40 +0300

gstreamer-vaapi (1.14.3-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 17 Sep 2018 10:24:18 +0300

=== debian/control ===
--- 
+++ 
@@ -16,9 +16,9 @@
  libgl1-mesa-dev,
  libgles2-mesa-dev,
  libglib2.0-dev,
- libgstreamer-plugins-bad1.0-dev (>= 1.14.2),
- libgstreamer-plugins-base1.0-dev (>= 1.14.2),
- libgstreamer1.0-dev (>= 1.14.2),
+ libgstreamer-plugins-bad1.0-dev (>= 1.14.4),
+ libgstreamer-plugins-base1.0-dev (>= 1.14.4),
+ libgstreamer1.0-dev (>= 1.14.4),
  libudev-dev,
  libva-dev (>= 1.0.9),
  libwayland-dev,

## gstreamer-vaapi 1.14.5

=== debian/changelog ===
gstreamer-vaapi (1.14.5-0ubuntu1~ubuntu18.04.1) bionic; urgency=medium

  * New upstream bugfix release (LP: #1832123)
  * Update references to 1.14.5

 -- Iain Lane <iain.lane@canonical.com>  Thu, 04 Jul 2019 13:35:50 +0100

gstreamer-vaapi (1.14.4-1~ubuntu18.04.1) bionic; urgency=medium

  * No-change backport to bionic (LP: #1829366)

 -- Iain Lane <iain.lane@canonical.com>  Thu, 16 May 2019 13:39:10 +0100

=== debian/control ===
--- 
+++ 
@@ -16,9 +16,9 @@
  libgl1-mesa-dev,
  libgles2-mesa-dev,
  libglib2.0-dev,
- libgstreamer-plugins-bad1.0-dev (>= 1.14.4),
- libgstreamer-plugins-base1.0-dev (>= 1.14.4),
- libgstreamer1.0-dev (>= 1.14.4),
+ libgstreamer-plugins-bad1.0-dev (>= 1.14.5),
+ libgstreamer-plugins-base1.0-dev (>= 1.14.5),
+ libgstreamer1.0-dev (>= 1.14.5),
  libudev-dev,
  libva-dev (>= 1.0.9),
  libwayland-dev,

## gstreamer-vaapi 1.15.1

=== debian/changelog ===
gstreamer-vaapi (1.15.1-1ubuntu1) disco; urgency=medium

  * Fix 32bit builds with upstream patch
    - debian/patches/92af6b82fa8ef226b3a8a078d1d07005e1920c6e.patch:

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 08 Feb 2019 11:19:06 +0100

gstreamer-vaapi (1.15.1-1) experimental; urgency=medium

  * New upstream development release
    + debian/control:
      - Update GStreamer dependency.
      - Update wayland dependency to >= 1.11.0.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 17 Jan 2019 18:10:01 +0200

=== debian/control ===
--- 
+++ 
@@ -16,12 +16,12 @@
  libgl1-mesa-dev,
  libgles2-mesa-dev,
  libglib2.0-dev,
- libgstreamer-plugins-bad1.0-dev (>= 1.14.5),
- libgstreamer-plugins-base1.0-dev (>= 1.14.5),
- libgstreamer1.0-dev (>= 1.14.5),
+ libgstreamer-plugins-bad1.0-dev (>= 1.15.1),
+ libgstreamer-plugins-base1.0-dev (>= 1.15.1),
+ libgstreamer1.0-dev (>= 1.15.1),
  libudev-dev,
  libva-dev (>= 1.0.9),
- libwayland-dev,
+ libwayland-dev (>= 1.11.0),
  libx11-dev,
  libxrandr-dev,
  mesa-common-dev,

## gstreamer-vaapi 1.15.2

=== debian/changelog ===
gstreamer-vaapi (1.15.2-1) experimental; urgency=medium

  * New upstream development release

 -- Sebastian Dröge <slomo@debian.org>  Thu, 28 Feb 2019 12:34:45 +0200

=== debian/control ===
--- 
+++ 
@@ -16,12 +16,13 @@
  libgl1-mesa-dev,
  libgles2-mesa-dev,
  libglib2.0-dev,
- libgstreamer-plugins-bad1.0-dev (>= 1.15.1),
- libgstreamer-plugins-base1.0-dev (>= 1.15.1),
- libgstreamer1.0-dev (>= 1.15.1),
+ libgstreamer-plugins-bad1.0-dev (>= 1.15.2),
+ libgstreamer-plugins-base1.0-dev (>= 1.15.2),
+ libgstreamer1.0-dev (>= 1.15.2),
  libudev-dev,
  libva-dev (>= 1.0.9),
  libwayland-dev (>= 1.11.0),
+ wayland-protocols (>= 1.15),
  libx11-dev,
  libxrandr-dev,
  mesa-common-dev,

## gstreamer-vaapi 1.15.90

=== debian/changelog ===
gstreamer-vaapi (1.15.90-1ubuntu1) disco; urgency=medium

  * debian/patches/git_color_conversion.patch:
    - backport an upstream commit to fix green bars showed on totem videos
      (lp: #1826201)

 -- Sebastien Bacher <seb128@debian.org>  Wed, 08 May 2019 13:50:36 +0200

gstreamer-vaapi (1.15.90-1) experimental; urgency=medium

  * New upstream release candidate

 -- Sebastian Dröge <slomo@debian.org>  Fri, 12 Apr 2019 10:24:57 +0300

=== debian/control ===
--- 
+++ 
@@ -16,9 +16,9 @@
  libgl1-mesa-dev,
  libgles2-mesa-dev,
  libglib2.0-dev,
- libgstreamer-plugins-bad1.0-dev (>= 1.15.2),
- libgstreamer-plugins-base1.0-dev (>= 1.15.2),
- libgstreamer1.0-dev (>= 1.15.2),
+ libgstreamer-plugins-bad1.0-dev (>= 1.15.90),
+ libgstreamer-plugins-base1.0-dev (>= 1.15.90),
+ libgstreamer1.0-dev (>= 1.15.90),
  libudev-dev,
  libva-dev (>= 1.0.9),
  libwayland-dev (>= 1.11.0),

## gstreamer-vaapi 1.16.0

=== debian/changelog ===
gstreamer-vaapi (1.16.0-3ubuntu2) eoan; urgency=medium

  * debian/patches/git_no_amd.patch:
    - backport an upstream change to disable vaapi with the amd drivers,
      the current experience is buggy and it's better to just not enable it
      see the discussions on this mailing list and the referenced bug
      https://mail.gnome.org/archives/distributor-list/2019-September

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 09 Sep 2019 17:09:08 +0200

gstreamer-vaapi (1.16.0-3ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/git_color_conversion.patch
       backport an upstream commit to fix green bars showed on totem videos

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 04 Sep 2019 12:39:06 +0200

gstreamer-vaapi (1.16.0-3) unstable; urgency=medium

  * Source-only re-upload

 -- Sebastian Dröge <slomo@debian.org>  Mon, 02 Sep 2019 10:37:26 +0300

gstreamer-vaapi (1.16.0-2ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/git_color_conversion.patch
       backport an upstream commit to fix green bars showed on totem videos

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 20 Jul 2019 11:28:17 +0200

gstreamer-vaapi (1.16.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Sebastian Dröge <slomo@debian.org>  Thu, 18 Jul 2019 12:00:55 +0300

gstreamer-vaapi (1.16.0-1ubuntu1) eoan; urgency=medium

  * debian/patches/git_color_conversion.patch:
    - backport an upstream commit to fix green bars showed on totem videos
      (lp: #1826201)

 -- Sebastien Bacher <seb128@debian.org>  Wed, 08 May 2019 13:53:17 +0200

gstreamer-vaapi (1.16.0-1) experimental; urgency=medium

  * New upstream release

 -- Sebastian Dröge <slomo@debian.org>  Fri, 19 Apr 2019 10:27:31 +0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: gstreamer-vaapi
 Section: libs
 Priority: optional
-Maintainer: Maintainers of GStreamer packages <gstreamer-vaapi@packages.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Maintainers of GStreamer packages <gstreamer-vaapi@packages.debian.org>
 Uploaders:
  Timo Aaltonen <tjaalton@ubuntu.com>,
  Vincent Cheng <vcheng@debian.org>,
@@ -16,9 +17,9 @@
  libgl1-mesa-dev,
  libgles2-mesa-dev,
  libglib2.0-dev,
- libgstreamer-plugins-bad1.0-dev (>= 1.15.90),
- libgstreamer-plugins-base1.0-dev (>= 1.15.90),
- libgstreamer1.0-dev (>= 1.15.90),
+ libgstreamer-plugins-bad1.0-dev (>= 1.16.0),
+ libgstreamer-plugins-base1.0-dev (>= 1.16.0),
+ libgstreamer1.0-dev (>= 1.16.0),
  libudev-dev,
  libva-dev (>= 1.0.9),
  libwayland-dev (>= 1.11.0),

## gstreamer-vaapi 1.16.1

=== debian/changelog ===
gstreamer-vaapi (1.16.1-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Sebastian Dröge <slomo@debian.org>  Wed, 25 Sep 2019 12:07:47 +0300

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: gstreamer-vaapi
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Maintainers of GStreamer packages <gstreamer-vaapi@packages.debian.org>
+Maintainer: Maintainers of GStreamer packages <gstreamer-vaapi@packages.debian.org>
 Uploaders:
  Timo Aaltonen <tjaalton@ubuntu.com>,
  Vincent Cheng <vcheng@debian.org>,
@@ -17,9 +16,9 @@
  libgl1-mesa-dev,
  libgles2-mesa-dev,
  libglib2.0-dev,
- libgstreamer-plugins-bad1.0-dev (>= 1.16.0),
- libgstreamer-plugins-base1.0-dev (>= 1.16.0),
- libgstreamer1.0-dev (>= 1.16.0),
+ libgstreamer-plugins-bad1.0-dev (>= 1.16.1),
+ libgstreamer-plugins-base1.0-dev (>= 1.16.1),
+ libgstreamer1.0-dev (>= 1.16.1),
  libudev-dev,
  libva-dev (>= 1.0.9),
  libwayland-dev (>= 1.11.0),
